Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Tokenizer::Delimiter_Entry Class Reference

Delimiter Entry. More...

`#include <SString.h>`

List of all members.

## Public Attributes
ACE_TCHAR | delimiter_
ACE_TCHAR | replacement_
int | replace_

## Detailed Description

Delimiter Entry.

Describes a delimiter for the tokenizer.

## Member Data Documentation

ACE_TCHAR ACE_Tokenizer::Delimiter_Entry::delimiter_

| Most commonly a space ' '. What occurrences of delimiter_ should be replaced with. Whether replacement_ should be used. This should be replaced with a technique that sets replacement_ = delimiter by default. I'll do that next iteration.

int ACE_Tokenizer::Delimiter_Entry::replace_

ACE_TCHAR ACE_Tokenizer::Delimiter_Entry::replacement_

The documentation for this class was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/SString.h